Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.grizzly
Class JettyMultiSelectorThread

    java.lang.Object
      SelectorThread
          org.mortbay.jetty.grizzly.JettySelectorThread
              org.mortbay.jetty.grizzly.JettyMultiSelectorThread

    public class JettyMultiSelectorThread

extends JettySelectorThread

Specialized `SelectorThread` that only handle OP_READ.

Author:
  Jeanfrancois Arcand

Field Summary
`static int` | `countName` Int used to differenciate thsi instance

Constructor Summary
`JettyMultiSelectorThread()`

Method Summary
`void` | `addChannel(SocketChannel channel)` Add a `Channel` to be processed by this `Selector`
`int` | `getCurrentBusyProcessorThreads()` Provides the count of request threads that are currently being processed by the container
`ReadTask` | `getReadTask(SelectionKey key)` Return a `ReadTask` configured to use this instance.
`void` | `initEndpoint()` Initialize this `SelectorThread`
`void` | `startEndpoint()` Start and wait for incoming connection

Methods inherited from class org.mortbay.jetty.grizzly.JettySelectorThread
`enableSelectionKeys, expireIdleKeys, getGrizzlyConnector, getReadTask, initAlgorithm, initMultiSelectors, isUseTemporarySelector, newPipeline, newProcessorTask, newReadTask, setGrizzlyConnector, setThreadPool, setUseTemporarySelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### countName

    public static int countName

  Int used to differenciate thsi instance

Constructor Detail

### JettyMultiSelectorThread

    public JettyMultiSelectorThread()

Method Detail

### addChannel

    public void addChannel(SocketChannel channel)
                    throws IOException,
                           ClosedChannelException

  Add a `Channel` to be processed by this `Selector`

  Throws:
    `IOException`
    `ClosedChannelException`

### initEndpoint

    public void initEndpoint()
                      throws IOException,
                             InstantiationException

  Initialize this `SelectorThread`

  Throws:
    `IOException`
    `InstantiationException`

### startEndpoint

    public void startEndpoint()
                       throws IOException,
                              InstantiationException

  Start and wait for incoming connection

  Throws:
    `IOException`
    `InstantiationException`

### getReadTask

    public ReadTask getReadTask(SelectionKey key)
                         throws IOException

  Return a `ReadTask` configured to use this instance.

  Throws:
    `IOException`

### getCurrentBusyProcessorThreads

    public int getCurrentBusyProcessorThreads()

  Provides the count of request threads that are currently being processed by the container

  Returns:
    Count of requests

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.